<style>

  .popover__content.open {
      z-index: 10;
      opacity: 1;
      visibility: visible;
      position: absolute;
      transform: translate(0, 0rem);
      /* margin-top: 2em; */
      
      /*      transition: all 0.5s cubic-bezier(0.75, -0.02, 0.2, 0.97); */
       
  }

  .popover__title {
      cursor: pointer;
  }

  .popover__content {
      border: 2px solid rgb(240, 240, 240);
      border-radius: 8px;
      background: white;
      width: 20rem;
      padding-left: 1em;
      padding-right: 1em;
      
  }

  .popover__content.closed {
      opacity: 0;
      visibility: hidden;
      position: absolute;
      left: -150px;
      transform: translate(0, 10px);
      background-color: #bfbfbf;
/*      padding: 1.5rem; */
      box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
      width: auto;
  }

  .popover__content ul {
      padding: 0;
      list-style-type: none;
  }

  .is_blue {
      color: rgb(0,86,215);
  }

  .grid-header {
      white-space: nowrap;
  }

  
</style>

<span *ngIf="canBeFiltered; else just_header"
      class="grid-header popover__title"
      [ngClass]="{'is_blue': hasActiveRole === true}">
  <span [attr.key]="column.key" id="{{'sort-desc'}}"
        (click)="inputChange($event)">{{ column.display }}</span>
  <span (click)="toggleFilterOptions($event)"><fa-icon [icon]="faFilter"></fa-icon></span>
</span>
<ng-template #just_header>
  <span [attr.key]="column.key" id="{{'sort-desc'}}"
        [ngClass]="{'is_blue': hasActiveRole === true}"
        class="grid-header popover__title"
        (click)="inputChange($event)">{{ column.display }}</span>
</ng-template>
<!-- <span class="grid-header popover__title" (click)="toggleFilterOptions($event)">{{ column.display }}</span>
<span> {{ canBeFiltered }} <fa-icon [icon]="faCoffee"></fa-icon></span> -->

<div class="popover__content" [ngClass]="open === true ? 'open' : 'closed'">
  <ul>
    <!-- <li>
      <!-- <p><input type="checkbox"
                  id="sort-desc"
                  [attr.key]="column.key"
                  (change)="inputChange($event)"
                  > 

      </p>-->
      <!-- <p (click)="inputChange($event)"
         [attr.key]="column.key"
         id="{{'sort-desc'}}">Sortera A-Ö</p>
    </li>
    <li> --> 
      <!-- <p>
        <input type="checkbox"
               id="sort-asc"
               [attr.key]="column.key"
               (change)="inputChange($event)"
               >
        <label for="sort-asc">Sortera -A</label>
      </p> -->
      <!-- <p (click)="inputChange($event)"
         [attr.key]="column.key"
         id="{{'sort-asc'}}">Sortera Ö-A</p>
    </li> -->

    <!-- <hr> -->
    <p>Filtrera listan <!-- <fa-icon [icon]="faCoffee" ngClass="wee"></fa-icon> --></p>
    <li *ngFor="let value of column.uniqueValues">
      <p>
        <input type="checkbox"
               [attr.id]="value"
               [attr.key]="column.key"
               [attr.display]="column.display"
               [checked]="isCurrentlyFilteredValue(value)"
               (change)="inputChange($event)">
        
        <label [attr.for]="value">{{ value }}</label>
      </p>
    </li>
    <li>
      <input type="button"
             id="clear"
             value="Rensa"
             [attr.key]="column.key"
             (click)="inputChange($event)">
    </li>
    
  </ul>
</div>
